summaryrefslogtreecommitdiffstats
path: root/system/geoclue2
diff options
context:
space:
mode:
author Aaditya Bagga2017-06-14 19:09:49 +0200
committer Willy Sudiarto Raharjo2017-06-15 13:35:59 +0200
commitb07e8752504542a1b892eed5963451a62f602007 (patch)
treeb6cad3a1a6e21820db00050a2044a6c1f4e2b49b /system/geoclue2
parent69cf554566a68aa7990a9e49472281f4110db884 (diff)
downloadslackbuilds-b07e8752504542a1b892eed5963451a62f602007.tar.gz
system/geoclue2: Added (location information service).
Signed-off-by: David Spencer <idlemoor@slackbuilds.org>
Diffstat (limited to 'system/geoclue2')
-rw-r--r--system/geoclue2/README9
-rw-r--r--system/geoclue2/doinst.sh18
-rw-r--r--system/geoclue2/geoclue2.SlackBuild108
-rw-r--r--system/geoclue2/geoclue2.info10
-rw-r--r--system/geoclue2/slack-desc19
5 files changed, 164 insertions, 0 deletions
diff --git a/system/geoclue2/README b/system/geoclue2/README
new file mode 100644
index 0000000000..2ef7b67a4f
--- /dev/null
+++ b/system/geoclue2/README
@@ -0,0 +1,9 @@
+Geoclue is a D-Bus service that provides location information.
+
+The primary goal of the Geoclue project is to make creating
+location-aware applications as simple as possible, while the secondary
+goal is to ensure that no application can access location information
+without explicit permission from user.
+
+geoclue2 is a rewrite of the original geoclue. You can safely install
+both geoclue and geoclue2 at the same time.
diff --git a/system/geoclue2/doinst.sh b/system/geoclue2/doinst.sh
new file mode 100644
index 0000000000..88ae88eb2d
--- /dev/null
+++ b/system/geoclue2/doinst.sh
@@ -0,0 +1,18 @@
+config() {
+ NEW="$1"
+ OLD="$(dirname $NEW)/$(basename $NEW .new)"
+ # If there's no config file by that name, mv it over:
+ if [ ! -r $OLD ]; then
+ mv $NEW $OLD
+ elif [ "$(cat $OLD | md5sum)" = "$(cat $NEW | md5sum)" ]; then
+ # toss the redundant copy
+ rm $NEW
+ fi
+ # Otherwise, we leave the .new copy for the admin to consider...
+}
+
+config etc/geoclue/geoclue.conf.new
+
+if [ -x /usr/bin/update-desktop-database ]; then
+ /usr/bin/update-desktop-database -q usr/share/applications >/dev/null 2>&1
+fi
diff --git a/system/geoclue2/geoclue2.SlackBuild b/system/geoclue2/geoclue2.SlackBuild
new file mode 100644
index 0000000000..4ee14f42d9
--- /dev/null
+++ b/system/geoclue2/geoclue2.SlackBuild
@@ -0,0 +1,108 @@
+#!/bin/sh
+
+# Slackware build script for geoclue2
+# Copyright 2017 Aaditya Bagga <aaditya_gnulinux@zoho.com>
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR ''AS IS'' AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+PRGNAM=geoclue2
+VERSION=${VERSION:-2.4.7}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+SRCNAM=geoclue
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i586 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i586" ]; then
+ SLKCFLAGS="-O2 -march=i586 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+else
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $SRCNAM-$VERSION
+tar xvf $CWD/$SRCNAM-$VERSION.tar.xz
+cd $SRCNAM-$VERSION
+chown -R root:root .
+find -L . \
+ \( -perm 777 -o -perm 775 -o -perm 750 -o -perm 711 -o -perm 555 \
+ -o -perm 511 \) -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 640 -o -perm 600 -o -perm 444 \
+ -o -perm 440 -o -perm 400 \) -exec chmod 644 {} \;
+
+# to avoid avahi as a dependency add --disable-nmea-source
+# to the configure options
+
+CFLAGS="$SLKCFLAGS" \
+CXXFLAGS="$SLKCFLAGS" \
+./configure \
+ --prefix=/usr \
+ --libdir=/usr/lib${LIBDIRSUFFIX} \
+ --sysconfdir=/etc \
+ --localstatedir=/var \
+ --mandir=/usr/man \
+ --infodir=/usr/info \
+ --docdir=/usr/doc/$PRGNAM-$VERSION \
+ --enable-static=no \
+ --build=$ARCH-slackware-linux
+
+make
+make install DESTDIR=$PKG
+
+# Preserve config file
+mv $PKG/etc/geoclue/geoclue.conf $PKG/etc/geoclue/geoclue.conf.new
+
+find $PKG -print0 | xargs -0 file | grep -e "executable" -e "shared object" | grep ELF \
+ | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a COPYING COPYING.LIB NEWS README docs \
+ $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+cat $CWD/doinst.sh > $PKG/install/doinst.sh
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/system/geoclue2/geoclue2.info b/system/geoclue2/geoclue2.info
new file mode 100644
index 0000000000..987772111c
--- /dev/null
+++ b/system/geoclue2/geoclue2.info
@@ -0,0 +1,10 @@
+PRGNAM="geoclue2"
+VERSION="2.4.7"
+HOMEPAGE="https://www.freedesktop.org/wiki/Software/GeoClue"
+DOWNLOAD="https://www.freedesktop.org/software/geoclue/releases/2.4/geoclue-2.4.7.tar.xz"
+MD5SUM="e50086e742740413669ab72d8572db05"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+REQUIRES="json-glib avahi"
+MAINTAINER="Aaditya Bagga"
+EMAIL="aaditya_gnulinux@zoho.com"
diff --git a/system/geoclue2/slack-desc b/system/geoclue2/slack-desc
new file mode 100644
index 0000000000..3c2b9befdd
--- /dev/null
+++ b/system/geoclue2/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|'
+# on the right side marks the last column you can put a character in. You must
+# make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':'.
+
+ |-----handy-ruler------------------------------------------------------|
+geoclue2: geoclue2 (location information service)
+geoclue2:
+geoclue2: geoclue2 is a D-Bus service that provides location information.
+geoclue2:
+geoclue2: This is a rewrite of the original geoclue.
+geoclue2:
+geoclue2: Homepage: https://www.freedesktop.org/wiki/Software/GeoClue
+geoclue2:
+geoclue2:
+geoclue2:
+geoclue2: